org.apache.olingo.odata2.api

## Class ODataServiceVersion

- java.lang.Object
- - org.apache.olingo.odata2.api.ODataServiceVersion

-     public class ODataServiceVersion
      extends Object

  This class is a container for the supported ODataServiceVersions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `V10` ODataServiceVersion 1.0
    `static String` | `V20` ODataServiceVersion 2.0
    `static String` | `V30` ODataServiceVersion 3.0

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isBiggerThan(String actual, String comparedTo)` actual > comparedTo
    `static boolean` | `validateDataServiceVersion(String version)` Validates format and range of a data service version string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### V10

          public static final String V10

      ODataServiceVersion 1.0
      See Also:
        Constant Field Values

    - #### V20

          public static final String V20

      ODataServiceVersion 2.0
      See Also:
        Constant Field Values

    - #### V30

          public static final String V30

      ODataServiceVersion 3.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### validateDataServiceVersion

          public static boolean validateDataServiceVersion(String version)

      Validates format and range of a data service version string.
      Parameters:
        `version` - version string
      Returns:
        `true` for a valid version

    - #### isBiggerThan

          public static boolean isBiggerThan(String actual,
                                             String comparedTo)

      actual > comparedTo
      Parameters:
        `actual` -
        `comparedTo` -
      Returns:
        `true` if actual is bigger than comparedTo

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.